//#define ADD
//#define OA				// For controlling the object's alpha with the parameter "Object_Alpha"

uniform lowp 	sampler2D	DiffuseSampler;
uniform lowp 	sampler2D	DiffuseSampler_alpha;


//uniform mediump float		BurnFactor;

varying	mediump vec2 		vCoord0;
varying lowp	vec4 		vColor;
varying mediump vec2		vCoord1;	// vCoord1 now holds alpha offset.

#ifdef ALPHA_TEST
	float alphaThreshold;
#endif

#ifdef OA
	uniform lowp float Object_Alpha;
#endif

void main()
{
	lowp vec4 diffuseMap = texture2D(DiffuseSampler, vCoord0);
#if !defined(ADD)
	diffuseMap.a = texture2D(DiffuseSampler_alpha, vCoord1).g;
#endif

#ifdef ALPHA_TEST
	if(diffuseMap.a < alphaThreshold)
		discard;
#endif	
	lowp vec4 color = diffuseMap;
//	lowp vec4 
//#ifdef OA
//	vColor.a 	   *= Object_Alpha;
//#endif
	color = color * vColor;
	gl_FragColor = color;
}