varying highp vec2 vBaseUV;
varying highp vec2 vNormalUV;
varying highp vec2 vFactorUV;

uniform lowp sampler2D texture0;
uniform lowp sampler2D texture1;
uniform lowp sampler2D texture2;
	
uniform mediump float scale;

void main()
{
	highp vec3 NormalMap = texture2D(texture1, vNormalUV).xyz;
	mediump float factor = texture2D(texture2, vFactorUV).a;
	highp vec2 distortedUV = vBaseUV + NormalMap.xy * scale * factor;
 		 		
	gl_FragColor = texture2D(texture0, distortedUV);
}
