// [ICH] This vertex shader works in screen space in order to optimize speed

#ifdef DCC_MAX
	#define DCC(x) x
#else
	#define DCC(x)
#endif

attribute highp vec4 Position DCC(: POSITION);
attribute mediump vec4 TexCoord0 DCC(: TEXCOORD0);
attribute mediump vec4 TexCoord1 DCC(: TEXCOORD1);

// Varyings
varying mediump vec2 vCoord0 DCC(: TEXCOORD0);
varying mediump vec2 vCoord1 DCC(: TEXCOORD1);

void main()
{
	vCoord0 = TexCoord0.xy;
	vCoord1 = TexCoord1.xy;

	gl_Position = Position;
}
