attribute highp vec4 Vertex;
uniform highp mat4 WorldViewProjectionMatrix;

#if GL_ES && defined(USE_POINTS)
uniform mediump float PointSize;
#endif

void main(void) 
{
#if GL_ES && defined(USE_POINTS)
	gl_PointSize = PointSize;
#endif
	gl_Position = WorldViewProjectionMatrix * Vertex;
}
