attribute highp   vec4 Vertex;
attribute highp vec2 TexCoord0;

uniform   highp   mat4 WorldViewProjectionMatrix;

varying highp vec2 vCoord0;
varying highp vec2 vCoord1;

uniform highp vec4 scaleoffset0;
uniform highp vec4 scaleoffset1;

void main(void)
{
	gl_Position = Vertex;
	
	vCoord0 = TexCoord0 * scaleoffset0.xy + scaleoffset0.zw;
	vCoord1 = TexCoord0 * scaleoffset1.xy + scaleoffset1.zw;
}
