uniform lowp mat4 ColorMatrix; // Android
uniform sampler2D DiffSampler;
uniform sampler2D MaskSampler;
uniform sampler2D DiffSampler_alpha; // Android
uniform sampler2D MaskSampler_alpha; // Android

// Varyings
varying mediump vec2 vCoord0;
varying mediump vec2 vCoord1;

void main()
{
   // mediump vec4 DiffuseColor = texture2D(DiffSampler, vCoord1.xy); // Android
    mediump vec4 DiffuseColor = vec4( texture2D(DiffSampler, vCoord1.xy).rgb, texture2D(DiffSampler_alpha, vCoord1.xy).r ); // Android
    
    //mediump vec4 MaskColor = texture2D(MaskSampler, vCoord0.xy); // Android
    mediump vec4 MaskColor = vec4( texture2D(MaskSampler, vCoord0.xy).rgb, texture2D(MaskSampler_alpha, vCoord0.xy).r ); // Android

    gl_FragColor = MaskColor + DiffuseColor * MaskColor.a;
}
