// [ICH] This vertex shader works in screen space in order to optimize speed

attribute highp vec4 Vertex;
attribute mediump vec4 TexCoord0;
attribute mediump vec4 TexCoord1;

// Varyings
varying mediump vec2 vCoord0;
varying mediump vec2 vCoord1;

uniform highp vec4 scaleoffset;

void main()
{
	vCoord0 = TexCoord0.xy * scaleoffset.xy + scaleoffset.zw;
	vCoord1 = TexCoord1.xy;

	gl_Position = Vertex;
}
